aboutsummaryrefslogtreecommitdiffstats
path: root/extraconfig
diff options
context:
space:
mode:
authorJiri Stransky <jistr@redhat.com>2015-11-24 13:18:44 +0100
committerJiri Stransky <jistr@redhat.com>2015-11-24 14:10:53 +0100
commit0d12f977e6c59f0425da24edbffc0632fcae71b4 (patch)
treef4fc29a44a467f790856ca6a48cd6d200f5d2d33 /extraconfig
parent7bae1ce8b0de5108e5219d2cadb712425eaf0f87 (diff)
Update: clean keepalived and radvd instances after pcs cluster stop
Older neutron versions have a bug which makes them leave keepalived and radvd running even after all neutron services are stopped, preventing neutron router failover from happening. Router can then get stuck on the inactive node, like this: [stack@instack ~]$ neutron l3-agent-list-hosting-router default_router +--------------------------------------+------------------------------------+----------------+-------+----------+ | id | host | admin_state_up | alive | ha_state | +--------------------------------------+------------------------------------+----------------+-------+----------+ | 48ca9477-b93b-4305-9e6d-9f1c5d3388f0 | overcloud-controller-1.localdomain | True | :-) | standby | | eba0575c-654f-4da6-b1cd-f7fdf1cd3726 | overcloud-controller-2.localdomain | True | :-) | standby | | 68815390-251f-4425-a5f8-38bdbf3bdb90 | overcloud-controller-0.localdomain | True | xxx | active | +--------------------------------------+------------------------------------+----------------+-------+----------+ We need to kill the leftover processes manually to prevent the state described above from happening. See https://review.gerrithub.io/#/c/248931 Change-Id: I2deaa176222983daa0c33ab52a6aa5dbe7365302
Diffstat (limited to 'extraconfig')
-rwxr-xr-xextraconfig/tasks/yum_update.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/extraconfig/tasks/yum_update.sh b/extraconfig/tasks/yum_update.sh
index 6ab2501c..5c0760d7 100755
--- a/extraconfig/tasks/yum_update.sh
+++ b/extraconfig/tasks/yum_update.sh
@@ -126,6 +126,13 @@ openstack-nova-scheduler"
else
pcs cluster stop
fi
+
+ # clean leftover keepalived and radvd instances from neutron
+ # (can be removed when we remove neutron-netns-cleanup from cluster services)
+ # see https://review.gerrithub.io/#/c/248931/1/neutron-netns-cleanup.init
+ killall neutron-keepalived-state-change 2>/dev/null || :
+ kill $(ps ax | grep -e "keepalived.*\.pid-vrrp" | awk '{print $1}') 2>/dev/null || :
+ kill $(ps ax | grep -e "radvd.*\.pid\.radvd" | awk '{print $1}') 2>/dev/null || :
else
echo "Excluding upgrading packages that are handled by config management tooling"
command_arguments="$command_arguments --skip-broken"